lucene-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From sar...@apache.org
Subject [1/4] lucene-solr:branch_7x: fix 'gem uninstall' to remove ignore dependency conflicts
Date Thu, 05 Jul 2018 19:10:31 GMT
Repository: lucene-solr
Updated Branches:
  refs/heads/branch_7x b9e064b93 -> eaf7e32cb


fix 'gem uninstall' to remove ignore dependency conflicts


Project: http://git-wip-us.apache.org/repos/asf/lucene-solr/repo
Commit: http://git-wip-us.apache.org/repos/asf/lucene-solr/commit/eaf7e32c
Tree: http://git-wip-us.apache.org/repos/asf/lucene-solr/tree/eaf7e32c
Diff: http://git-wip-us.apache.org/repos/asf/lucene-solr/diff/eaf7e32c

Branch: refs/heads/branch_7x
Commit: eaf7e32cb4f91728d2266d00c77cfab2ec684ee7
Parents: a39bf70
Author: Steve Rowe <sarowe@apache.org>
Authored: Thu Jul 5 15:03:41 2018 -0400
Committer: Steve Rowe <sarowe@apache.org>
Committed: Thu Jul 5 15:10:27 2018 -0400

----------------------------------------------------------------------
 dev-tools/scripts/jenkins.build.ref.guide.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/lucene-solr/blob/eaf7e32c/dev-tools/scripts/jenkins.build.ref.guide.sh
----------------------------------------------------------------------
diff --git a/dev-tools/scripts/jenkins.build.ref.guide.sh b/dev-tools/scripts/jenkins.build.ref.guide.sh
index eb6c43d..75bc9f8 100755
--- a/dev-tools/scripts/jenkins.build.ref.guide.sh
+++ b/dev-tools/scripts/jenkins.build.ref.guide.sh
@@ -60,7 +60,7 @@ echoRun "rvm $RUBY_VERSION@$GEMSET"      # Activate this project's gemset
 
 # Install gems in the gemset.  Param --force disables dependency conflict detection.
 echoRun "gem install --force --version 3.5.0 jekyll"
-echoRun "gem uninstall --all asciidoctor"  # Get rid of all versions
+echoRun "gem uninstall --all --ignore-dependencies asciidoctor"  # Get rid of all versions
 echoRun "gem install --force --version 1.5.6.2 asciidoctor"
 echoRun "gem install --force --version 2.1.0 jekyll-asciidoc"
 echoRun "gem install --force --version 1.1.2 pygments.rb"


Mime
View raw message